Package org.apache.storm.st.topology.window.data

# Class TimeData

java.lang.Object
org.apache.storm.st.topology.window.data.TimeData

All Implemented Interfaces:
  `Comparable<TimeData>`

public class TimeData extends Object implements Comparable<TimeData>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TimeData`
  `CLS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(TimeData o)`
  `boolean`
  `equals(Object o)`
  `static TimeData`
  `fromJson(String jsonStr)`
  `static TimeData`
  `fromTuple(Tuple tuple)`
  `Date`
  `getDate()`
  `static Fields`
  `getFields()`
  `static String`
  `getTimestampFieldName()`
  `Values`
  `getValues()`
  `int`
  `hashCode()`
  `static TimeData`
  `newData(int num)`
  `String`
  `toString()`
  `static String`
  `toString(Collection<TimeData> elements)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CLS

    public static final TimeData CLS

- ## Method Details

  - ### newData

    public static TimeData newData(int num)

  - ### fromTuple

    public static TimeData fromTuple(Tuple tuple)

  - ### fromJson

    public static TimeData fromJson(String jsonStr)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public static String toString(Collection<TimeData> elements)

  - ### getValues

    public Values getValues()

  - ### getTimestampFieldName

    public static String getTimestampFieldName()

  - ### getDate

    public Date getDate()

  - ### getFields

    public static Fields getFields()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(TimeData o)
    Specified by:
      `compareTo` in interface `Comparable<TimeData>`